<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Index extends Front
{

    public function _initialize()
    {
        parent::_initialize();
    }
    
    public function index()
    {
        $info = cmsUrlParams('meta_value_num');
        $info['path'] = cmsUrl('cms/index/index',['pageNumber'=>'[PAGE]']);
        $info['index_title']       = cmsSeo(config('cms.index_title'));
        $info['index_keywords']    = cmsSeo(config('cms.index_keywords'));
        $info['index_description'] = cmsSeo(config('cms.index_description'));
        $this->assign($info);
        return $this->fetch();
    }
    
    //分类列表
    public function categorys()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //标签列表
    public function tags()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //最近更新
    public function news()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //热门文章
    public function views()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //置顶文章
    public function top()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //推荐文章
    public function recommend()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //头条文章
    public function fast()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //头条文章
    public function head()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //地图页SEO
    private function seoAction($name='index')
    {
        $this->assign([
            'path'             => cmsUrl('cms/index/'.$name,['pageNumber'=>'[PAGE]']),
            'maps_title'       => str_replace('[action]', lang('cms_index_'.$this->site['action']), cmsSeo(config('cms.maps_title'))),
            'maps_keywords'    => str_replace('[action]', lang('cms_index_'.$this->site['action']), cmsSeo(config('cms.maps_keywords'))),
            'maps_description' => str_replace('[action]', lang('cms_index_'.$this->site['action']), cmsSeo(config('cms.maps_description'))),
        ]);
    }
    
    //自定义
    public function _empty($name)
    {
        $this->seoAction();
        
        return $this->fetch();
    }
    
    //资源路由 index create save read edit update delete 
    //请求类型 get   get    post get  get  put    delete
}